## garcon-menu-node garcon-menu-node |

## Functions

GarconMenuNode * | garcon_menu_node_new ()
GarconMenuNodeType | garcon_menu_node_get_node_type ()
GarconMenuNode * | garcon_menu_node_create ()
GarconMenuNode * | garcon_menu_node_copy ()
const gchar * | garcon_menu_node_get_string ()
void | garcon_menu_node_set_string ()
GarconMenuMergeFileType | garcon_menu_node_get_merge_file_type ()
void | garcon_menu_node_set_merge_file_type ()
const gchar * | garcon_menu_node_get_merge_file_filename ()
void | garcon_menu_node_set_merge_file_filename ()
GNode * | garcon_menu_node_tree_get_child_node ()
GList * | garcon_menu_node_tree_get_child_nodes ()
GList * | garcon_menu_node_tree_get_string_children ()
gboolean | garcon_menu_node_tree_get_boolean_child ()
const gchar * | garcon_menu_node_tree_get_string_child ()
gboolean | garcon_menu_node_tree_rule_matches ()
GarconMenuNodeType | garcon_menu_node_tree_get_node_type ()
const gchar * | garcon_menu_node_tree_get_string ()
void | garcon_menu_node_tree_set_string ()
GarconMenuLayoutMergeType | garcon_menu_node_tree_get_layout_merge_type ()
GarconMenuMergeFileType | garcon_menu_node_tree_get_merge_file_type ()
const gchar * | garcon_menu_node_tree_get_merge_file_filename ()
void | garcon_menu_node_tree_set_merge_file_filename ()
gint | garcon_menu_node_tree_compare ()
GNode * | garcon_menu_node_tree_copy ()
void | garcon_menu_node_tree_free ()
void | garcon_menu_node_tree_free_data ()

## Properties

GarconMenuNodeType | node-type | Read / Write

## Types and Values

enum | GarconMenuLayoutMergeType
enum | GarconMenuMergeFileType
| GarconMenuNodeData

## Object Hierarchy

        GObject
        ╰── GarconMenuNode

## Description

## Functions

### garcon_menu_node_new ()

    GarconMenuNode *
    garcon_menu_node_new (GarconMenuNodeType node_type);

### garcon_menu_node_get_node_type ()

    GarconMenuNodeType
    garcon_menu_node_get_node_type (GarconMenuNode *node);

### garcon_menu_node_create ()

    GarconMenuNode *
    garcon_menu_node_create (GarconMenuNodeType node_type,
                             gpointer first_value,
                             ...);

### garcon_menu_node_copy ()

    GarconMenuNode *
    garcon_menu_node_copy (GarconMenuNode *node,
                           gpointer data);

### garcon_menu_node_get_string ()

    const gchar *
    garcon_menu_node_get_string (GarconMenuNode *node);

### garcon_menu_node_set_string ()

    void
    garcon_menu_node_set_string (GarconMenuNode *node,
                                 const gchar *value);

### garcon_menu_node_get_merge_file_type ()

    GarconMenuMergeFileType
    garcon_menu_node_get_merge_file_type (GarconMenuNode *node);

### garcon_menu_node_set_merge_file_type ()

    void
    garcon_menu_node_set_merge_file_type (GarconMenuNode *node,
                                          GarconMenuMergeFileType type);

### garcon_menu_node_get_merge_file_filename ()

    const gchar *
    garcon_menu_node_get_merge_file_filename
                                   (GarconMenuNode *node);

### garcon_menu_node_set_merge_file_filename ()

    void
    garcon_menu_node_set_merge_file_filename
                                   (GarconMenuNode *node,
                                    const gchar *filename);

### garcon_menu_node_tree_get_child_node ()

    GNode *
    garcon_menu_node_tree_get_child_node (GNode *tree,
                                          GarconMenuNodeType type,
                                          gboolean reverse);

### garcon_menu_node_tree_get_child_nodes ()

    GList *
    garcon_menu_node_tree_get_child_nodes (GNode *tree,
                                           GarconMenuNodeType type,
                                           gboolean reverse);

### garcon_menu_node_tree_get_string_children ()

    GList *
    garcon_menu_node_tree_get_string_children
                                   (GNode *tree,
                                    GarconMenuNodeType type,
                                    gboolean reverse);

### garcon_menu_node_tree_get_boolean_child ()

    gboolean
    garcon_menu_node_tree_get_boolean_child
                                   (GNode *tree,
                                    GarconMenuNodeType type);

### garcon_menu_node_tree_get_string_child ()

    const gchar *
    garcon_menu_node_tree_get_string_child
                                   (GNode *tree,
                                    GarconMenuNodeType type);

### garcon_menu_node_tree_rule_matches ()

    gboolean
    garcon_menu_node_tree_rule_matches (GNode *tree,
                                        GarconMenuItem *item);

### garcon_menu_node_tree_get_node_type ()

    GarconMenuNodeType
    garcon_menu_node_tree_get_node_type (GNode *tree);

### garcon_menu_node_tree_get_string ()

    const gchar *
    garcon_menu_node_tree_get_string (GNode *tree);

### garcon_menu_node_tree_set_string ()

    void
    garcon_menu_node_tree_set_string (GNode *tree,
                                      const gchar *value);

### garcon_menu_node_tree_get_layout_merge_type ()

    GarconMenuLayoutMergeType
    garcon_menu_node_tree_get_layout_merge_type
                                   (GNode *tree);

### garcon_menu_node_tree_get_merge_file_type ()

    GarconMenuMergeFileType
    garcon_menu_node_tree_get_merge_file_type
                                   (GNode *tree);

### garcon_menu_node_tree_get_merge_file_filename ()

    const gchar *
    garcon_menu_node_tree_get_merge_file_filename
                                   (GNode *tree);

### garcon_menu_node_tree_set_merge_file_filename ()

    void
    garcon_menu_node_tree_set_merge_file_filename
                                   (GNode *tree,
                                    const gchar *filename);

### garcon_menu_node_tree_compare ()

    gint
    garcon_menu_node_tree_compare (GNode *tree,
                                   GNode *other_tree);

### garcon_menu_node_tree_copy ()

    GNode *
    garcon_menu_node_tree_copy (GNode *tree);

### garcon_menu_node_tree_free ()

    void
    garcon_menu_node_tree_free (GNode *tree);

### garcon_menu_node_tree_free_data ()

    void
    garcon_menu_node_tree_free_data (GNode *tree);

## Types and Values

### enum GarconMenuLayoutMergeType

#### Members

GARCON_MENU_LAYOUT_MERGE_MENUS |  |
GARCON_MENU_LAYOUT_MERGE_FILES |  |
GARCON_MENU_LAYOUT_MERGE_ALL |  |

### enum GarconMenuMergeFileType

#### Members

GARCON_MENU_MERGE_FILE_PATH |  |
GARCON_MENU_MERGE_FILE_PARENT |  |

### GarconMenuNodeData

## Property Details

### The `“node-type”` property

      “node-type”                GarconMenuNodeType

node-type.

Flags: Read / Write

Default value: GARCON_MENU_NODE_TYPE_MENU